Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Dumpable_Adapter Class Template Reference

This class inherits the interface of the abstract ACE_Dumpable class and is instantiated with the implementation of the concrete component class <class Concrete>. More...

`#include <Dump_T.h>`

Inheritance diagram for ACE_Dumpable_Adapter

[legend]
Collaboration diagram for ACE_Dumpable_Adapter:

[legend]
List of all members.

## Public Methods
| ACE_Dumpable_Adapter (const Concrete *t)
| ~ACE_Dumpable_Adapter (void)
virtual void | dump (void) const
| Concrete dump method (simply delegates to the <dump> method of <class Concrete>).
Concrete* | operator-> () const
| Delegate to methods in the Concrete class.
## Private Attributes
const Concrete* | this_
| Pointer to <this> of <class Concrete>.

## Detailed Description

### template<class Concrete> template class ACE_Dumpable_Adapter

This class inherits the interface of the abstract ACE_Dumpable class and is instantiated with the implementation of the concrete component class <class Concrete>.

This design is similar to the Adapter and Decorator patterns from the ``Gang of Four'' book. Note that <class Concrete> need not inherit from a common class since ACE_Dumpable provides the uniform virtual interface!

## Constructor & Destructor Documentation

template<classConcrete>
ACE_Dumpable_Adapter< Concrete >::ACE_Dumpable_Adapter<Concrete> ( | const Concrete * t )

template<classConcrete>
const char *get_rcsid_ace _ ACE_Dumpable_Adapter< Concrete >::~ACE_Dumpable_Adapter<Concrete> ( | void )`[inline]`

## Member Function Documentation

template<classConcrete>
void ACE_Dumpable_Adapter<Concrete>::dump ( | void ) const`[virtual]`

| Concrete dump method (simply delegates to the <dump> method of <class Concrete>). Reimplemented from ACE_Dumpable.

template<classConcrete>
Concrete * ACE_Dumpable_Adapter<Concrete>::operator-> ( | void ) const

| Delegate to methods in the Concrete class.

## Member Data Documentation

template<classConcrete>
const Concrete * ACE_Dumpable_Adapter<Concrete>::this_`[private]`

| Pointer to <this> of <class Concrete>. Reimplemented from ACE_Dumpable.

The documentation for this class was generated from the following files:

- Dump_T.h
- Dump_T.cpp